# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Sly Cooper and the Thievius Raccoonus Template

game: Sly Cooper and the Thievius Raccoonus
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Sly Cooper and the Thievius Raccoonus:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  UnlockClockwerk:
    # What you need to do to unlock Cold Heart of Hate to defeat Clockwerk
    boss_victories: 50
    page_hunt: 0

  FastClockwerk:
    # If enabled, unlocking Cold Heart of Hate will give you access directly to the Clockwerk boss fight skipping all the previous levels.
    'false': 50
    'true': 0

  RequiredBosses:
    # How many members of the Fiendish Five you need to defeat before Cold Heart of Hate is unlocked.
    # Only used if boss victories is selected as the Unlock Clockwerk option.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 4
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-4: 0 # random value between 1 and 4

  MaxPages:
    # How many pages are available to collect in the multiworld.
    # These pages are NOT the same as the normal pages that give you thief moves.
    # Only used if page hunt is selected as the Unlock Clockwerk option.
    # Note that this option requires more locations than usual. Cluesanity is recommended.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 50
    25: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-50: 0 # random value between 1 and 50

  RequiredPages:
    # How many pages of the Thievius Raccoonus you need to collect before Cold Heart of Hate is unlocked.
    # These pages are NOT the same as the normal pages that give you thief moves.
    # Only used if page hunt is selected as the Unlock Clockwerk option.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 50
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-50: 0 # random value between 1 and 50

  StartingEpisode:
    # Determines which episode you will have the intro for at the beginning of the game.
    tide_of_terror: 50
    sunset_snake_eyes: 0
    vicious_voodoo: 0
    fire_in_the_sky: 0
    all: 0

  IncludeHourglasses:
    # If enabled, Hourglasses are included in the locations.
    'false': 50
    'true': 0

  HourglassesRequireRoll:
    # Some Hourglasses are tough without the Roll move.
    # If enabled, at least one Progressive Roll will logically be required for Hourglasses.
    'false': 50
    'true': 0

  AvoidEarlyBK:
    # Determines if you will start with 1 key for your chosen starting episode.
    # If all is selected, you are given 1 key for a random episode.
    'false': 50
    'true': 0

  ExcludeMinigames:
    # Choose which minigames types you want to exclude as locations.
    # Crabs: Treasure in the Depths
    # Races: At the Dog Track, A Desperate Race
    # Turrets: Murray's Big Gamble, The King of the Hill
    # Hover Blasters: A Ghastly Voyage, Rapid Fire Assualt
    # Chicken Killing: Down Home Cooking
    # Swamp Skiff: Piranha Lake
    []

  MinigameCaches:
    # Determines how many checks minigames send when completed. Ignored if the minigame is excluded.
    # Allows a range from 0-10.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-10: 0 # random value between 0 and 10

  LocationCluesanityBundleSize:
    # Determines how many bottles you need to collect for each check.
    # Set to 0 to disable. Allows a range between 0 and 5.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 5
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-5: 0 # random value between 0 and 5

  ItemCluesanityBundleSize:
    # Determines how many bottles you will receive for a given level.
    # Set to 0 to disable. Allows a range between 0 and 5.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 5
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-5: 0 # random value between 0 and 5

  CutsceneSkip:
    # Automatically skips dialogue and FMV cutscenes if enabled.
    # Dialogue can be skipped with the R2 button whether this option is on or off.
    'false': 0
    'true': 50

  TrapChance:
    # Determines the chance for any junk item to become a trap.
    # Set it to 0 for no traps.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    0: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  IcePhysicsTrapWeight:
    # The weight of ice physics traps in the trap pool.
    # Ice physics traps turn on the low friction cheat code for 10 seconds.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    25: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  SpeedChangeTrapWeight:
    # The weight of speed change traps in the trap pool.
    # Speed change traps change the game speed for 10 seconds.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    25: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  InvisibilityTrapWeight:
    # The weight of invisibility traps in the trap pool.
    # Invisibility traps turn Sly completely invisible for 10 seconds.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    25: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  BallTrapWeight:
    # The weight of ball traps in the trap pool.
    # Ball traps force Sly to stay in the roll form for 10 seconds.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    25: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
